Package wx :: Class Process

[frames | no frames]

## Type Process

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                    Process

Proxy of C++ Process class

Method Summary
Process | `__init__(self, parent, id)`
| `__del__(self)`
| ``base_OnTerminate`(*args, **kwargs)` Please use Process.OnTerminate instead.
| `CloseOutput(self)`
| `Detach(self)`
bool | `Exists(pid)` (Static method)
InputStream | `GetErrorStream(self)`
InputStream | `GetInputStream(self)`
OutputStream | `GetOutputStream(self)`
long | ``GetPid`(self)` get the process ID of the process executed by Open()
bool | `IsErrorAvailable(self)`
bool | `IsInputAvailable(self)`
bool | `IsInputOpened(self)`
bool | `IsRedirected(self)`
int | `Kill(pid, sig, flags)` (Static method)
| `OnTerminate(self, pid, status)`
Process | `Open(cmd, flags)` (Static method)
| `Redirect(self)`

Property Summary
| `ErrorAvailable`
| `ErrorStream`: See `GetErrorStream`
| `InputAvailable`
| `InputOpened`
| `InputStream`: See `GetInputStream`
| `OutputStream`: See `GetOutputStream`
| `thisown`: The membership flag

Instance Method Details

### base_OnTerminate(*args, **kwargs)

Please use Process.OnTerminate instead.

### GetPid(self)

get the process ID of the process executed by Open()

  Returns:
    long

Property Details

### ErrorAvailable

  Get Method:
    `IsErrorAvailable`(self)

### ErrorStream

See `GetErrorStream`

  Get Method:
    `GetErrorStream`(self)

### InputAvailable

  Get Method:
    `IsInputAvailable`(self)

### InputOpened

  Get Method:
    `IsInputOpened`(self)

### InputStream

See `GetInputStream`

  Get Method:
    `GetInputStream`(self)

### OutputStream

See `GetOutputStream`

  Get Method:
    `GetOutputStream`(self)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:47 2007 | http://epydoc.sf.net